# &kde;-Benutzerhandbuch

Darian
Lanx

    content@openprojects.net

2010-01-04
1.1 (&kde; 4.4)
kbuildsycoca4
8

# `kbuildsycoca4`

Erstellt den Zwischenspeicher für die Systemeinstellungen neu.

## Synopsis

    kbuildsycoca4  --nosignal --noincremental --checkstamps --nocheckfiles --global --menutest --track menu-id --help --help-qt --help-kde --help-all --author -v, --version --license

## Beschreibung

`kbuildsycoca4` stellt als Teil der &kde;-Befehlszeilenwerkzeuge das korrekte Funktionieren von &kde; sicher, indem es alle `.desktop`, `.directory`, `.xml` und `.protocol` einliest und zu einer Datenbank verknüpft.

&kde; greift zur Laufzeit auf diese Datenbank zu, um Konfigurationsdaten für die laufenden Programme bereitzustellen.

Dieses Werkzeug gehört zu ksycoca4. Dieser Name steht für &kde; System Configuration Cache (KDE-Zwischenspeicher für Systemkonfigurationsdaten).

## Optionen

`--nosignal`

  Anwendungen nicht über Aktualisierungen benachrichtigen

`--noincremental`

  Inkrementelle Aktualisierung deaktivieren, alles neu einlesen

`--checkstamps`

  Datei-Änderungszeiten überprüfen

`--nocheckfiles`

  Dateiprüfung abschalten (gefährlich)

`--global`

  Globale Datenbank erstellen

`--menutest`

  Nur Test für Menü-Erstellung ausführen

`--track menu-id`

  Menü-Kennung (ID) für Fehlersuche zurückverfolgen

`--help`

  Hilfe zu verfügbaren Optionen anzeigen.

`--help-qt`

  Spezielle Optionen für Qt anzeigen

`--help-kde`

  Spezielle Optionen für KDE anzeigen

`--help-all`

  Alle Optionen anzeigen

`--author`

  Zeigt Informationen über den Autor.

`-v , --version`

  Versionsinformation anzeigen

`--license`

  Lizenz-Informationen anzeigen

## Benutzung

Der normale Weg, das Programm aufzurufen, sieht wie folgt aus: ``kbuildsycoca4``

## Dateien

`/var/tmp/kde-$USER/ksycoca4`

  Der Standardordner für die Zwischenspeicherdateien.

## Umgebungsvariablen

$`KDEDIRS`

  Gibt an, welche Ordner Teil der KDE-Installation sind.

$`KDESYCOCA`

  Gibt den Pfad zur Sycoca-Datenbankdatei an

## Siehe auch

kdeinit4

## Fehler

Berichten Sie Fehler auf bugs.kde.org.